---
title: 自定义触发组件 
order: 4
---



```jsx
import React, { useState,useEffect } from 'react';
import ReactDOM from 'react-dom';
import { YwFormDialog } from '@ywfe/yw-design';
import 'antd/dist/antd.css';
const items=[
    {
        title: '标题',
        name: 'title',
        component: 'Input',
        type: 'string',
    },

];
const layoutProps = { labelCol: 4, wrapperCol: 20 };
const onConfirm = (values)=>{
  return new Promise((resolve,reject) => {
    setTimeout(() => {
      resolve()
    }, 1500)
  })
}



const App = () => {
    return (
  
       <YwFormDialog title='新建活动' items={items} layoutProps={layoutProps} initialValues={{title:1111}} onConfirm={onConfirm}>
        <div>点我打开弹窗</div>
       </YwFormDialog>
       
    );
}

ReactDOM.render(<App />, mountNode);
```
