/// <reference types="react" />
import type { SelectProps } from 'antd/es/select';
export interface DebounceSelectProps<ValueType = any> extends Omit<SelectProps<ValueType | ValueType[]>, 'options' | 'children'> {
    fetchOptions: (search: string) => Promise<ValueType[]>;
    debounceTimeout?: number;
}
declare const YSearchSelect: (props: any) => JSX.Element;
export default YSearchSelect;
