---
title: 新建 
order: 1
---



```jsx
import React, { useState,useEffect } from 'react';
import ReactDOM from 'react-dom';
import { YwFormDialog } from '@ywfe/yw-design';
import 'antd/dist/antd.css';
const items=[
    {
        title: '标题',
        name: 'title',
        component: 'Input',
        type: 'string',
    },
    {
        title: '状态',
        name: 'status',
        component: 'Select',
        required: true,
        type: 'string',
        enum: [
            { value: 1, label: '处理中' },
            { value: 2, label: '审批通过' },
        ],
        componentProps: {},
    },
];
const layoutProps = { labelCol: 4, wrapperCol: 20 };
const onConfirm = (values)=>{
  return new Promise((resolve,reject) => {
    setTimeout(() => {
      resolve()
    }, 1500)
  })
}



const App = () => {
    return (
      <div>
       <YwFormDialog btnText = '新建' title='新建活动' items={items} layoutProps={layoutProps} initialValues={{title:1111}} onConfirm={onConfirm}/>
      </div>
    );
}

ReactDOM.render(<App />, mountNode);
```
