---
title: 查看
order: 3

---



```jsx
import React, { useState,useEffect } from 'react';
import ReactDOM from 'react-dom';
import { YwFormDialog } from '@ywfe/yw-design';
import 'antd/dist/antd.css';
const items=[
    {
        title: '标题',
        name: 'title',
        component: 'Input',
        type: 'string',
    },
    {
        title: '状态',
        name: 'status',
        component: 'Select',
        required: true,
        type: 'string',
        enum: [
            { value: 1, label: '处理中' },
            { value: 2, label: '审批通过' },
        ],
        componentProps: {},
    },
];
const layoutProps = { labelCol: 4, wrapperCol: 20 };
const onConfirm = (values)=>{
  return new Promise((resolve,reject) => {
    setTimeout(() => {
      resolve()
    }, 1500)
  })
}
const onOpen = ()=>{
  return new Promise((resolve,reject) => {
    setTimeout(() => {
      resolve({title:1111,status:1})
    }, 1000)
  })
}


const App = () => {
    return (
      <div>
       <YwFormDialog btnText = '查看' btnType = 'link' title='查看' items={items} editable={false} layoutProps={layoutProps} onOpen={onOpen} onConfirm={onConfirm}/>
      </div>
    );
}

ReactDOM.render(<App />, mountNode);
```
