<!-- ---
title: 表单联动
order: 6
docGenIncludes:
  - src/components/YwJsonForm/index.tsx
---

```jsx
import React, { Component } from 'react';
import ReactDOM from 'react-dom';
import { LinkProvider, useLink, LinkBlock, useLinkExecuter } from '@ywfe/yw-linkage';
import { YwJsonForm } from '@ywfe/yw-design';
import 'antd/dist/antd.css';
import { Button } from 'antd'
const items = [
  {
    title: '控制者',
    name: 'source',
    component: 'Select',
    type: 'string',
    enum:[{value:true,label:'AAA'},{value:false,label:'BBB'}]
  },
  {
    title: '禁用联动',
    name: 'target1',
    component: 'Input',
    type: 'string',
  },
  {
    title: '显示隐藏联动',
    name: 'target2',
    component: 'Input',
    type: 'string',
  },
  {
    title: '赋值联动',
    name: 'target3',
    component: 'Input',
    type: 'string',
  },
  {
    title: '多条件控制',
    name: 'target4',
    component: 'Input',
    type: 'string',
  },
];
// const linkages = [{
//             type:'disabled',
//             conditions:{ '==': [{ var: 'source' }, true] },
//             target:'target1',
//         },{
//             type:'visible',
//             conditions:{ '==': [{ var: 'source' }, true] },
//             target:'target2',
//         },{
//             type:'value',
//             conditions:{ '==': [{ var: 'source' }, true] },
//             target:'target3',
//             targetValue: 333,
//             targetState:{disabled: true}
//         },{
//             type:'value',
//             conditions:{ '==': [{ var: 'source' }, false] },
//             target:'target3',
//             targetValue: '',
//             targetState:{disabled: false}
//         },{
//             type:'value',
//             conditions:{  // 文档地址 https://github.com/jwadhams/json-logic-js/
//                 "and":[
//                     {'==': [{ "var": 'source' }, true]},
//                     { "==" : [{ "var" : "target3" }, 333 ]}
//                 ]
//             },
//             target:'target4',
//             targetValue: '444',
//         }]
  const BtnCom = ()=> {
     const { dispatch } = useLink();
    return <Button type='primary' onClick={()=>{ 
      dispatch({
                path: 'BtnCom',
                type: 'onClick',
              })}}>自定义提交按钮</Button>
  }
   const linkages = [{
      type:'command',
      source:'BtnCom',
      event:'onClick',
      condition:[],
      actions:[{
        target:'YwJsonForm',
        action:'submit',
        params:{
          onSubmit:(value)=>{
            console.log(value)
          }
        }
      }]
    }]
const App =  ()=> {
 
    return (  
      <LinkProvider>
        <LinkBlock linkages={linkages}/>
        <BtnCom />
        <YwJsonForm items={items} buttons={[]}/>
      </LinkProvider>
    );
}

ReactDOM.render(<App />, mountNode);
``` -->
