import { action } from '@formily/reactive';
export var useAsyncDataSource = function useAsyncDataSource(dataSource) {
  return function (field) {
    // console.log('keyword', keyword);
    field.loading = true;
    var service = dataSource[field.props.name];
    service(field).then(action.bound(function (data) {
      field.dataSource = data;
      field.loading = false;
    }));
  };
};